[Security] Security/Buildkite Analytics test suites integration (#174524)

## Summary

This PR introduces the integration of the following categories of tests
with Buildkite Test Suites.
- Security Solution Cypress - [Buildkite test
suite](https://buildkite.com/organizations/elastic/analytics/suites/ci-security-solution-cypress?branch=all+branches)
- Defend Workflows - [Buildkite test
suite](https://buildkite.com/organizations/elastic/analytics/suites/ci-defend-workflows?branch=all+branches)
- Threat Intelligence - [Buildkite test
suite](https://buildkite.com/organizations/elastic/analytics/suites/ci-threat-intelligence?branch=all+branches)
- Serverless Security Solution Cypress - [Buildkite test
suite](https://buildkite.com/organizations/elastic/analytics/suites/serverless-security-solution-cypress-1?branch=all+branches)

It also addresses a wrong package.json script invocation and the
parallelism that is used in the pipeline which was reduced for some
targets. Check File:
.buildkite/pipelines/security_solution/security_solution_cypress.yml


## Initial PR
https://github.com/elastic/kibana/pull/173005 - Status Closed
This commit is contained in:
dkirchan 2024-01-17 13:00:23 +02:00 committed by GitHub
parent 964a9804ff
commit 6499bcd370
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
28 changed files with 141 additions and 63 deletions

View file

@ -1,16 +1,4 @@
steps:
- command: .buildkite/scripts/pipelines/security_solution_quality_gate/security_solution_cypress/mki_security_solution_cypress.sh cypress:run:qa:serverless
label: 'Serverless MKI QA Security Cypress Tests'
agents:
queue: n2-4-spot
# TODO : Revise the timeout when the pipeline will be officially integrated with the quality gate.
timeout_in_minutes: 300
parallelism: 6
retry:
automatic:
- exit_status: '*'
limit: 1
- command: .buildkite/scripts/pipelines/security_solution_quality_gate/security_solution_cypress/mki_security_solution_cypress.sh cypress:run:qa:serverless:explore
label: 'Serverless MKI QA Explore - Security Solution Cypress Tests'
agents:
@ -53,7 +41,7 @@ steps:
queue: n2-4-spot
# TODO : Revise the timeout when the pipeline will be officially integrated with the quality gate.
timeout_in_minutes: 300
parallelism: 6
parallelism: 2
retry:
automatic:
- exit_status: '*'
@ -93,7 +81,7 @@ steps:
retry:
automatic:
- exit_status: '*'
limit: 1
limit: 1
- command: .buildkite/scripts/pipelines/security_solution_quality_gate/security_solution_cypress/mki_security_solution_cypress.sh cypress:run:qa:serverless:entity_analytics
label: 'Serverless MKI QA Entity Analytics - Security Solution Cypress Tests'
@ -105,4 +93,4 @@ steps:
retry:
automatic:
- exit_status: '*'
limit: 1
limit: 1

View file

@ -173,29 +173,29 @@ download_artifact() {
vault_get() {
path=$1
key_path=$1
field=$2
fullPath="secret/ci/elastic-kibana/$path"
fullPath="secret/ci/elastic-kibana/$key_path"
if [[ "$VAULT_ADDR" == *"secrets.elastic.co"* ]]; then
fullPath="secret/kibana-issues/dev/$path"
fullPath="secret/kibana-issues/dev/$key_path"
fi
if [[ -z "${2:-}" ]]; then
retry 5 5 vault read "$fullPath"
if [[ -z "${2:-}" || "${2:-}" =~ ^-.* ]]; then
retry 5 5 vault read "$fullPath" "${@:2}"
else
retry 5 5 vault read -field="$field" "$fullPath"
retry 5 5 vault read -field="$field" "$fullPath" "${@:3}"
fi
}
vault_set() {
path=$1
key_path=$1
shift
fields=("$@")
fullPath="secret/ci/elastic-kibana/$path"
fullPath="secret/ci/elastic-kibana/$key_path"
if [[ "$VAULT_ADDR" == *"secrets.elastic.co"* ]]; then
fullPath="secret/kibana-issues/dev/$path"
fullPath="secret/kibana-issues/dev/$key_path"
fi
# shellcheck disable=SC2068

View file

@ -14,7 +14,7 @@ echo "--- Serverless Security Second Quality Gate"
cd x-pack/test/security_solution_api_integration
set +e
QA_API_KEY=$(vault_get security-solution-qg-enc-key qa_api_key)
QA_API_KEY=$(vault_get security-solution-quality-gate qa_api_key)
# Generate a random 5-digit number
random_number=$((10000 + $RANDOM % 90000))

View file

@ -17,11 +17,12 @@ export JOB=kibana-security-solution-chrome
buildkite-agent meta-data set "${BUILDKITE_JOB_ID}_is_test_execution_step" "true"
mkdir .ftr
retry 5 5 vault kv get -format=json -field=data secret/kibana-issues/dev/security-quality-gate/role-users > .ftr/role_users.json
vault_get security-quality-gate/role-users data -format=json > .ftr/role_users.json
cd x-pack/test/security_solution_cypress
set +e
QA_API_KEY=$(vault_get security-solution-qg-enc-key qa_api_key)
QA_API_KEY=$(vault_get security-solution-quality-gate qa_api_key)
BK_ANALYTICS_API_KEY=$(vault_get security-solution-quality-gate serverless-sec-sol-cypress-bk-api-key)
CLOUD_QA_API_KEY=$QA_API_KEY yarn $1; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY CLOUD_QA_API_KEY=$QA_API_KEY yarn $1; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Defend Workflows Cypress tests"
cd x-pack/plugins/security_solution
set +e
yarn cypress:dw:run; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci defend-workflows-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:dw:run; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Defend Workflows Cypress tests on Serverless"
cd x-pack/plugins/security_solution
set +e
yarn cypress:dw:serverless:run; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci defend-workflows-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:dw:serverless:run; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- AI Assistant Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:ai_assistant:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:ai_assistant:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Detection Engine Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:detection_engine:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:detection_engine:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Detection Engine - Exceptions - Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:detection_engine:exceptions:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:detection_engine:exceptions:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Entity Analytics Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:entity_analytics:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:entity_analytics:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Explore - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:explore:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:explore:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Investigations Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:investigations:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:investigations:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Rule Management Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:rule_management:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:rule_management:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Rule Management - Prebuilt Rules - Cypress Tests on Serverless"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:rule_management:prebuilt_rules:run:serverless; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:rule_management:prebuilt_rules:run:serverless; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- AI Assistant - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:ai_assistant:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:ai_assistant:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Detection Engine - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:detection_engine:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:detection_engine:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Detection Engine - Exceptions - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:detection_engine:exceptions:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:detection_engine:exceptions:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Entity Analytics - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:entity_analytics:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:entity_analytics:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Explore Cypress Tests on Security Solution"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:explore:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:explore:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Investigations - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:investigations:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:investigations:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Rule Management - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:rule_management:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:rule_management:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -13,4 +13,6 @@ echo "--- Rule Management - Prebuilt Rules - Security Solution Cypress Tests"
cd x-pack/test/security_solution_cypress
set +e
yarn cypress:rule_management:prebuilt_rules:run:ess; status=$?; yarn junit:merge || :; exit $status
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci sec-sol-cypress-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn cypress:rule_management:prebuilt_rules:run:ess; status=$?; yarn junit:merge || :; exit $status

View file

@ -10,4 +10,6 @@ export KIBANA_INSTALL_DIR=${KIBANA_BUILD_LOCATION}
echo "--- Threat Intelligence Cypress tests (Chrome)"
yarn --cwd x-pack/plugins/threat_intelligence cypress:run
BK_ANALYTICS_API_KEY=$(vault_get security-solution-ci threat-intelligence-bk-api-key)
BK_ANALYTICS_API_KEY=$BK_ANALYTICS_API_KEY yarn --cwd x-pack/plugins/threat_intelligence cypress:run

View file

@ -895,6 +895,7 @@
"blurhash": "^2.0.1",
"brace": "0.11.1",
"brok": "^5.0.2",
"buildkite-test-collector": "^1.6.5",
"byte-size": "^8.1.0",
"canvg": "^3.0.9",
"cbor-x": "^1.3.3",
@ -998,6 +999,7 @@
"mime": "^2.4.4",
"mime-types": "^2.1.27",
"minimatch": "^3.1.2",
"mocha-multi-reporters": "^1.5.1",
"moment": "^2.29.4",
"moment-duration-format": "^2.3.2",
"moment-timezone": "^0.5.43",

View file

@ -1,5 +1,11 @@
{
"reporterEnabled": "mochawesome, mocha-junit-reporter",
"reporterEnabled": "mochawesome, mocha-junit-reporter, buildkite-test-collector/mocha/reporter",
"buildkiteTestCollectorMochaReporterReporterOptions": {
"token_name": "BK_ANALYTICS_API_KEY",
"follow-symlinks": true,
"timeout": 120,
"upload-concurrency": 50
},
"reporterOptions": {
"html": false,
"json": true,

View file

@ -1,5 +1,11 @@
{
"reporterEnabled": "mochawesome, mocha-junit-reporter",
"reporterEnabled": "mochawesome, mocha-junit-reporter, buildkite-test-collector/mocha/reporter",
"buildkiteTestCollectorMochaReporterReporterOptions": {
"token_name": "BK_ANALYTICS_API_KEY",
"follow-symlinks": true,
"timeout": 120,
"upload-concurrency": 50
},
"reporterOptions": {
"html": false,
"json": true,

View file

@ -1,5 +1,11 @@
{
"reporterEnabled": "mochawesome, mocha-junit-reporter",
"reporterEnabled": "mochawesome, mocha-junit-reporter, buildkite-test-collector/mocha/reporter",
"buildkiteTestCollectorMochaReporterReporterOptions": {
"token_name": "BK_ANALYTICS_API_KEY",
"follow-symlinks": true,
"timeout": 120,
"upload-concurrency": 50
},
"reporterOptions": {
"html": false,
"json": true,

View file

@ -11872,12 +11872,12 @@ axe-core@^4.8.2:
resolved "https://registry.yarnpkg.com/axe-core/-/axe-core-4.8.2.tgz#2f6f3cde40935825cf4465e3c1c9e77b240ff6ae"
integrity sha512-/dlp0fxyM3R8YW7MFzaHWXrf4zzbr0vaYb23VBFCl83R7nWNPg/yaQw2Dc8jzCMmDVLhSdzH8MjrsuIUuvX+6g==
axios@^1.3.4, axios@^1.6.0, axios@^1.6.3:
version "1.6.3"
resolved "https://registry.npmjs.org/axios/-/axios-1.6.3.tgz#7f50f23b3aa246eff43c54834272346c396613f4"
integrity sha512-fWyNdeawGam70jXSVlKl+SUNVcL6j6W79CuSIPfi6HnDUmSCH6gyUys/HrqHeA/wU0Az41rRgean494d0Jb+ww==
axios@^1.0.0, axios@^1.3.4, axios@^1.6.0, axios@^1.6.3:
version "1.6.5"
resolved "https://registry.yarnpkg.com/axios/-/axios-1.6.5.tgz#2c090da14aeeab3770ad30c3a1461bc970fb0cd8"
integrity sha512-Ii012v05KEVuUoFWmMW/UQv9aRIc3ZwkWDcM+h5Il8izZCtRVpDUfwpoFf7eOtajT3QiGR4yDUx7lPqHJULgbg==
dependencies:
follow-redirects "^1.15.0"
follow-redirects "^1.15.4"
form-data "^4.0.0"
proxy-from-env "^1.1.0"
@ -12662,6 +12662,17 @@ buffers@~0.1.1:
resolved "https://registry.yarnpkg.com/buffers/-/buffers-0.1.1.tgz#b24579c3bed4d6d396aeee6d9a8ae7f5482ab7bb"
integrity sha512-9q/rDEGSb/Qsvv2qvzIzdluL5k7AaJOTrw23z9reQthrbF7is4CtlT0DXyO1oei2DCp4uojjzQ7igaSHp1kAEQ==
buildkite-test-collector@^1.6.5:
version "1.6.5"
resolved "https://registry.yarnpkg.com/buildkite-test-collector/-/buildkite-test-collector-1.6.5.tgz#ab384981d873e7e44451f24d1dda62e9c3197ac8"
integrity sha512-7WdRp3R/CKCeL7aSDiu+BFppKXw7rWQEni/+sT4cv6vT852ZHVnTwo+/C1H+gIeMweqZSuLKEHzKGFrv/z8sBw==
dependencies:
axios "^1.0.0"
dotenv "^16.0.2"
request-spy "^0.0.10"
strip-ansi "^6.0.0"
uuid "^8.3.2"
builtin-status-codes@^3.0.0:
version "3.0.0"
resolved "https://registry.yarnpkg.com/builtin-status-codes/-/builtin-status-codes-3.0.0.tgz#85982878e21b98e1c66425e03d0174788f569ee8"
@ -15425,10 +15436,10 @@ dotenv-expand@^5.1.0:
resolved "https://registry.yarnpkg.com/dotenv-expand/-/dotenv-expand-5.1.0.tgz#3fbaf020bfd794884072ea26b1e9791d45a629f0"
integrity sha512-YXQl1DSa4/PQyRfgrv6aoNjhasp/p4qs9FjJ4q4cQk+8m4r6k4ZSiEyytKG8f8W9gi8WsQtIObNmKd+tMzNTmA==
dotenv@^16.0.3:
version "16.0.3"
resolved "https://registry.yarnpkg.com/dotenv/-/dotenv-16.0.3.tgz#115aec42bac5053db3c456db30cc243a5a836a07"
integrity sha512-7GO6HghkA5fYG9TYnNxi14/7K9f5occMlp3zXAuSxn7CKCxt9xbNWG7yF8hTCSUchlfWSe3uLmlPfigevRItzQ==
dotenv@^16.0.2, dotenv@^16.0.3:
version "16.3.1"
resolved "https://registry.yarnpkg.com/dotenv/-/dotenv-16.3.1.tgz#369034de7d7e5b120972693352a3bf112172cc3e"
integrity sha512-IPzF4w4/Rd94bA9imS68tZBaYyBWSCE47V1RGuMrB94iyTOIEwRmVL2x/4An+6mETpLrKJ5hQkB8W4kFAadeIQ==
dotenv@^8.0.0:
version "8.2.0"
@ -17255,10 +17266,10 @@ folktale@2.3.2:
resolved "https://registry.yarnpkg.com/folktale/-/folktale-2.3.2.tgz#38231b039e5ef36989920cbf805bf6b227bf4fd4"
integrity sha512-+8GbtQBwEqutP0v3uajDDoN64K2ehmHd0cjlghhxh0WpcfPzAIjPA03e1VvHlxL02FVGR0A6lwXsNQKn3H1RNQ==
follow-redirects@^1.0.0, follow-redirects@^1.15.0:
version "1.15.2"
resolved "https://registry.yarnpkg.com/follow-redirects/-/follow-redirects-1.15.2.tgz#b460864144ba63f2681096f274c4e57026da2c13"
integrity sha512-VQLG33o04KaQ8uYi2tVNbdrWp1QWxNNea+nmIB4EVM28v0hmP17z7aG1+wAkNzVq4KeXTq3221ye5qTJP91JwA==
follow-redirects@^1.0.0, follow-redirects@^1.15.4:
version "1.15.4"
resolved "https://registry.yarnpkg.com/follow-redirects/-/follow-redirects-1.15.4.tgz#cdc7d308bf6493126b17ea2191ea0ccf3e535adf"
integrity sha512-Cr4D/5wlrb0z9dgERpUL3LrmPKVDsETIJhaCMeDfuFYcqa5bldGV6wBsAN6X/vxlXQtFBMrXdXxdL8CbDTGniw==
font-awesome@4.7.0:
version "4.7.0"
@ -22614,6 +22625,14 @@ mocha-junit-reporter@^2.0.2:
strip-ansi "^6.0.1"
xml "^1.0.0"
mocha-multi-reporters@^1.5.1:
version "1.5.1"
resolved "https://registry.yarnpkg.com/mocha-multi-reporters/-/mocha-multi-reporters-1.5.1.tgz#c73486bed5519e1d59c9ce39ac7a9792600e5676"
integrity sha512-Yb4QJOaGLIcmB0VY7Wif5AjvLMUFAdV57D2TWEva1Y0kU/3LjKpeRVmlMIfuO1SVbauve459kgtIizADqxMWPg==
dependencies:
debug "^4.1.1"
lodash "^4.17.15"
mocha@^10.1.0:
version "10.1.0"
resolved "https://registry.yarnpkg.com/mocha/-/mocha-10.1.0.tgz#dbf1114b7c3f9d0ca5de3133906aea3dfc89ef7a"
@ -22752,6 +22771,11 @@ monitor-event-loop-delay@^1.0.0:
resolved "https://registry.yarnpkg.com/monitor-event-loop-delay/-/monitor-event-loop-delay-1.0.0.tgz#b5ab78165a3bb93f2b275c50d01430c7f155d1f7"
integrity sha512-YRIr1exCIfBDLZle8WHOfSo7Xg3M+phcZfq9Fx1L6Abo+atGp7cge5pM7PjyBn4s1oZI/BRD4EMrzQBbPpVb5Q==
monkeypatch@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/monkeypatch/-/monkeypatch-1.0.0.tgz#a7baaeaebf2e01ee6c8a585615cc4a2663dea145"
integrity sha512-6tG0IrCUUIBuAspnbdmOAd+D/AptB/ya9JLujp88NIAuFuTGdGvCKtDkc6pwNOcIJ6nKLm3FjJlaCdx8vr3r2w==
moo-color@^1.0.2:
version "1.0.2"
resolved "https://registry.yarnpkg.com/moo-color/-/moo-color-1.0.2.tgz#837c40758d2d58763825d1359a84e330531eca64"
@ -26816,6 +26840,13 @@ request-progress@^3.0.0:
dependencies:
throttleit "^1.0.0"
request-spy@^0.0.10:
version "0.0.10"
resolved "https://registry.yarnpkg.com/request-spy/-/request-spy-0.0.10.tgz#751fc423c30fb57c3982630bc5b4b81634c1bd14"
integrity sha512-va+4vLamK9Pwu/WJnJrQcTjCjYdIcl0KDKOKEkfvNmer4f+K+OhgbpU4DCiPyzBGnTpYXbrVLrnD8O5fS/cmKA==
dependencies:
monkeypatch "^1.0.0"
require-and-forget@^1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/require-and-forget/-/require-and-forget-1.0.1.tgz#b535a1b8f0f0dd6a48ab05b0ab15d26135d61142"